﻿<AML>
 <Item type="Method" id="51656683927444FCA513BB6CC74E61CF" action="add">
  <comments>2018-02-01--HninWuttyi</comments>
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			PO-Equipment-Report-Selection
Created By		:		SolidCAD 
Creation Date:			2018-01-23
Description:
	SSSRS report selection for Internal PO and External PO
	
Hooks:
	Type:	ItemType	:	sop_po_out / Report  :   PO-Equipment-Report-Selection

Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */
//debugger;
var myInnovator = new Innovator();
var pop_external_form = "";
var pop_internal_form = "";

var purchase_order_id = this.getID();
var sop_po_out = myInnovator.getItemById("sop_po_out", purchase_order_id);
var sop_count = sop_po_out.getItemCount();
if (sop_count > 0) {
    pop_external_form = sop_po_out.getProperty("pop_external_form", "");
    pop_internal_form = sop_po_out.getProperty("pop_internal_form", "");
}
if (pop_external_form == 1) {
    var reportName = 'PO - Equipment - External';
    var url = top.aras.getServerBaseURL() + "RSGateway.aspx?irs:Report=" + reportName + "&np:pop_po_no=" + purchase_order_id;
    window.open(url);
}
if (pop_internal_form == 1) {
    var reportName = 'PO - Equipment - Internal';
    var url = top.aras.getServerBaseURL() + "RSGateway.aspx?irs:Report=" + reportName + "&np:pop_po_no=" + purchase_order_id;
    window.open(url);
}]]></method_code>
  <method_type>JavaScript</method_type>
  <name>PO-Equipment-Report-Selection</name>
 </Item>
</AML>